Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 156678

Summary: kernel update changes default boot OS
Product: [Fedora] Fedora Reporter: Robert Greimel <rgreimel>
Component: bootyAssignee: Peter Jones <pjones>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: katzj, pjones, sundaram, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-09-05 07:43:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 136451    

Description Robert Greimel 2005-05-03 10:55:55 UTC
Description of problem:
The kernel update overwrites the grub default boot selection, which was set at
Fedora Core 3 install time to boot Windows.

Version-Release number of selected component (if applicable):
2.6.11-1.14_FC3

How reproducible:


Steps to Reproduce:
1.Install FC3 on a dual boot system and make the non Linux OS default
2.Update the kernel
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Jones 2005-05-09 23:15:52 UTC
this isn't particularly easy to fix, as the kernel post-install script would
have to figure out what you'd done to your grub.conf.  If Jeremy/Peter have any
ideas that could be a quick-fix for this, I'm all ears, but I don't think
there's a great deal we can do this in situation.


Comment 2 Robert Greimel 2005-05-10 10:31:09 UTC
Yes, you will need to change the post-install script. But I think that it should
be easy to fix. You will need to parse grub.conf. Look which entry is the
default and check if the default boot entry (seperate by title) contains kernel
or chainloader. If the default boot entry contains "kernel", make the new kernel
the default. If the default boot entry contains "chainloader" keep it as the
default. In this case, depending on where you add the new kernel entry, you
might have to update the number on the default line.

Comment 3 Jeremy Katz 2005-05-23 21:51:28 UTC
Fixed in anaconda to not set UPDATEDEFAULT=yes for the case where you're default
to another OS.